XSYSTEM35(6)

NAME
xsystem35 - play System 3.x games

SYNOPSIS

xsystem35 [OPTION]...

DESCRIPTION

This man page describes xsystem35-sdl2, a multi-platform port of the AliceSoft’s System3.5/3.6/3.8/3.9 game engine derived from the original xsystem35.

xsystem35 reads the game resource file from the path specified by the -gamefile option, or from xsystem35.gr in the current directory if the option is not specified. If the game resource file is not found, xsystem35 finds System 3.x game files (*.ALD) from the current directory.

OPTIONS

-gamefile file
    Load game resouce file from file. See FILES section for details.

-game game
    Enables game-specific hacks. Usually auto-detected, but must be specified for games with modified / translated titles. Possible values are: toushin2, rance2, rance3, rance3_eng, rance4_eng, rance4_v2, persiom, agake.

-savedir dir
    Directory to save game state files. If dir begins with '~', it is expanded to the user’s home directory ($HOME).

-saveformat fmt
    The format when writing save files. Possible values are: xsystem35, system36, system39 (default).

-texthook mode
    Set the text hook mode. Possible values are: none (default), print (print text to console), copy (copy text to clipboard).

-texthook_suppress list
    Suppress text hook on specified scenario pages. list is a comma-separated list of page numbers. Used to suppress system messages, etc.

-censor file
    Enable Streamer Mode, which mosaics specific images to make them safe for streaming. The file is a text file containing a list of image numbers to censor, one per line. Lines starting with '#' are treated as comments.

-renderer name
    Use the SDL rendering driver named name.

-playlist file
    Load the CD playlist from file. The playlist is a text file with one filename per line, in the order of CD tracks. See FILES section for details.

-Me
    Use SDL_mixer for MIDI playback.

-Mpdevice_number
    Use ALSA (via PortMidi) for MIDI playback.

-M0
    Disable MIDI playback.

-devjoy device_index
    Use the joystick device with the given index.

-ttfont_mincho file
    Use the given TrueType or OpenType font file for mincho (serif) text.

-ttfont_gothic file
    Use the given TrueType or OpenType font file for gothic (sans-serif) text.

-debuglv level
    Set the debug level to level. The higher the level, the more verbose the debug output.

-debug
    Start with the debugger enabled.

-noantialias
    Disable text antialiasing.

-fullscreen
    Start in fullscreen mode.

-integerscale
    Use integer scaling for the window.

-noimagecursor
    Disable custom mouse cursor images.

-version
    Print the version number and exit.

-h, --help
    Print a help message and exit.

FILES

.xsys35rc
    xsystem35 reads its configuration from ${HOME}/.xsys35rc and .xsys35rc in the game directory. The latter takes precedence over the former, so you can put general settings in ${HOME}/.xsys35rc and game-specific settings in .xsys35rc in the game directory. Options specified on the command line override both. See xsys35rc.sample for the format of the configuration file.

playlist.txt
    xsystem35 does not support playing BGM directly from a CD. Instead, it supports playing BGM from audio files on your filesystem. xsystem35 reads the playlist from a file specified by the -playlist option, or from playlist.txt in the game directory. The first line is the path to the audio file for track 1, the second line is the path to the audio file for track 2, and so on. The first line is usually empty, because track 1 is not an audio track but a data track.

xsystem35.gr
    Game resource file which lists the locations of various files needed to run a game. This is optional; xsystem35 can automatically find the files it needs when run inside a game directory. See xsystem35.gr(5) for the format of the game resource file.

KEYBOARD SHORTCUTS

System 3.x games basically only use the UP, DOWN, LEFT, RIGHT, SPACE, RET, ESC, and TAB keys (some games use other keys). xsystem35 uses the following special key assignments:

F1
    Toggle message skip mode.

F4
    Toggle fullscreen mode.

Also, in some platforms, the middle mouse button opens the menu.

HISTORY

xsystem35 was originally developed by Masaki Chikama (Wren) between 1998 and 2006. The project was later forked by Kichikuou as xsystem35-sdl2 and ported to SDL2.

SEE ALSO

xsystem35-sdl2 project page: